%define glib2_version 2.0.3
%define pango_version 1.0.99
%define gtk2_version 2.0.5
%define libgnomeui_version 2.0.1
%define gail_version 0.17-2
%define gnome_panel_version 2.0.0
%define desktop_file_utils_version 0.2.90

%define po_package gnome-utils-2.0

Summary: GNOME utility programs.
Name: gnome-utils
Version: 2.0.2
Release: 5
Epoch: 1
License: GPL
Group: Applications/System
Source: ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/gnome-utils/gnome-utils-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: gnome
URL: http://www.gnome.org

BuildRequires:  glib2-devel >= %{glib2_version}
BuildRequires:  pango-devel >= %{pango_version}
BuildRequires:  gtk2-devel >= %{gtk2_version}
BuildRequires:  libgnomeui-devel >= %{libgnomeui_version}
BuildRequires:  gail-devel >= %{gail_version}
BuildRequires:  gnome-panel >= %{gnome_panel_version}
BuildRequires:  Xft
BuildRequires:  fontconfig
BuildRequires:  desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires:  e2fsprogs-devel

## http://bugzilla.gnome.org/show_bug.cgi?id=89535
Patch0: gnome-utils-2.0.2-find.patch

## https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=67885
Patch1: gnome-utils-2.0.2-keys.patch

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-utils package
includes a set of small "desk accessory" utility applications for GNOME
such as a calculator.

%prep
%setup -q

%patch0 -p1 -b .find
%patch1 -p1 -b .keys

%build

## experimental gdialog enablement
%configure --enable-gdialog
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# in GNOME only
desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

## delete, duplicates file roller
/bin/rm -rf $RPM_BUILD_ROOT%{_bindir}/archive-generator
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/*archive-generator*
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/help/archive-generator
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/omf/gnome-utils/*archive-generator*

## delete gnome-system-log, duplicates redhat-logviewer
/bin/rm -rf $RPM_BUILD_ROOT%{_bindir}/gnome-system-log
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/*system-log*
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome-system-log
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-system-log
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/omf/gnome-utils/*system-log*
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-system-log
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/share/man/man*/*system-log*

# blow scrollkeeper crap
/bin/rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gdict.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files -f %{po_package}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/pixmaps
%{_datadir}/man/man*/*
%{_datadir}/applications
%{_datadir}/gnome-utils
%{_datadir}/gnome
%{_datadir}/omf
%{_datadir}/gnome-2.0
%{_datadir}/mime-info
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/bonobo
%{_sysconfdir}/gconf

%changelog
* Tue Sep  3 2002 Matt Wilson <msw@redhat.com>
- corrected the return code 3 gdialog dialog types

* Wed Aug 28 2002 Tim Waugh <twaugh@redhat.com>
- Fix gnome-calculator key bindings (bug #67885).

* Thu Aug 15 2002 Havoc Pennington <hp@redhat.com>
- enable gdialog by popular demand
- build require e2fsprogs-devel so gfloppy builds
- patch for #70258 (locate doesn't notice new files)

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2

* Thu Aug  1 2002 Havoc Pennington <hp@redhat.com>
- build require newer versions of things
- 2.0.1
- remove gnome-system-log and more thoroughly remove archive-generator

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- remove archive-generator, duplicates file-roller

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Fix find_lang

* Wed Jun 19 2002 Havoc Pennington <hp@redhat.com>
- disable schema install in make install, fixes rebuild

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- use desktop-file-install

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- move to GNOME 2 version

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- merge translations

* Tue Mar  5 2002 Havoc Pennington <hp@redhat.com>
- put gdialog back since the nautilus scripts fad has everyone asking for it,
  #54415
- depend on automake-1.4 binary instead of automake14
- strip trailing newline from data in guname, #52598
- build requires libglade-devel

* Tue Feb  5 2002 Bill Nottingham <notting@redhat.com>
- get rid of weird binary names

* Wed Jan 30 2002 Jonathan Blandford <jrb@redhat.com>
- Rebuild package.

* Mon Jan 21 2002 Havoc Pennington <hp@redhat.com>
- automake14
- /usr/foo to bindir etc.
- use makeinstall and configure macros
- patch for glade header move

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Apr 19 2001 Jonathan Blandford <jrb@redhat.com>
- new version

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- move changelog to end of file
- langify, remember to run %%find_lang twice as there
  are two different sets of locale files

* Thu Feb 08 2001 Owen Taylor <otaylor@redhat.com>
- Fix missing gfloppy.keys, gfloppy.mime files

* Mon Jan 29 2001 Havoc Pennington <hp@redhat.com>
- add dialog-prefs.glade file which was missing from upstream tarball; 
  fixes #25036

* Fri Jan 19 2001 Havoc Pennington <hp@redhat.com>
- 1.2.1
- remove patch for gdict segfault, fixed upstream
- remove logview, cromagnon, gdiskfree, gstripchart, 
  splash, gdialog, gw, idetool
- run automake so removals take effect

* Mon Aug 21 2000 Havoc Pennington <hp@redhat.com>
- patch from Tim Waugh to fix segfault on cancel in the settings
  dialog; bug 16477
- put in an error dialog if no DNS, bug 16475

* Mon Aug 21 2000 Havoc Pennington <hp@redhat.com>
- Put gcolorsel glade files in the file list, closes
  14314

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Sat Aug 05 2000 Havoc Pennington <hp@redhat.com>
- Use mail not mailx in guname, bug 14316

* Mon Jul 17 2000 Havoc Pennington <hp@redhat.com>
- remove Docdir

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Elliot Lee <sopwith@redhat.com>
- 1.2.0

* Fri May 19 2000 Havoc Pennington <hp@redhat.com>
- Add gfloppy .glade file to file list

* Fri May 19 2000 Havoc Pennington <hp@redhat.com>
- 1.1.0; remove man pages glob from file list (upstream no 
  longer comes with man pages)

* Thu May 11 2000 Matt Wilson <msw@redhat.com>
- 1.0.51

* Mon Feb 14 2000 Elliot Lee <sopwith@redhat.com>
- Add -mieee to CFLAGS to fix bug #9346.

* Fri Feb 04 2000 Owen Taylor <otaylor@redhat.com>
- minor patch to fix up size requisition in guname

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to pick up gzipped man page

* Thu Feb 3 2000 Jonathan Blandford <jrb@redhat.com>
- added patch to allow negative time to gtt.

* Sun Aug 1 1999 Dax Kelson <dax@gurulabs.com>
- version 1.0.12

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- removed gshutdown (confusing for newbies)

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.6

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.30

* Mon Apr  6 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-utils CVS source tree
